> ## Documentation Index > Fetch the complete documentation index at: https://support.jacquard.com/llms.txt > Use this file to discover all available pages before exploring further. # Realtime language request > Request a language variant by subscriber. NOTE: this endpoint uses the Realtime API base URL (https://realtime.phrasee.co) rather than the standard base URL ## OpenAPI ````json GET /v2/live/single_variant { "openapi": "3.0.0", "info": { "title": "Jacquard Connect API", "description": "# Jacquard - Connect API\n\nConnect is an API to give access to Jacquard services. Using connect clients can access basic reference data, submit results, and utilise the continuous optimisation service.\n\n## Glossary\n\n- Account – the holder for a given company\n \n- Project – a collection of Jacquard experiments linked\n \n- Campaign – an individual split test containing generated language variants\n \n- User – users are granted access to a specified list of projects within Jacquard users can access any campaigns that were created within the projects that they have access to\n \n- Access tokens\n \n\n```\nTo access the Connect API you will need a valid bearer token passed in the Authorization header of your requests. There are 2 types of tokens: Access tokens come in 2 types, user and server. User tokens are generated automatically by a user logging into the Jacquard UI. Server access tokens are generated by Jacquard and provided to clients on an ad hoc basis. \nJacquard provides a facility to generate access tokens these tokens are granted permissions to access specified projects within an account when accessing the API. There could either be a single token with access to the entire account EG for a centralised email ops team. Or multiple tokens with access to specific projects for de-centralised email ops teams. \nUser access tokens can be refreshed in the Jacquard UI and will expire after 2 weeks. Server access tokens do not have an expiry setting.\n\n ```\n\nContact Support: \nEmail: [support@jacquard.com](https://mailto:support@jacquard.com)", "version": "1.0.0" }, "servers": [ { "url": "https://connect.phrasee.co" } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "auth" }, { "name": "auth > check" }, { "name": "accounts" }, { "name": "accounts > {accountid}" }, { "name": "accounts > {accountid} > users" }, { "name": "accounts > {accountid} > projects" }, { "name": "users" }, { "name": "users > {userid}" }, { "name": "users > {userid} > projects" }, { "name": "projects" }, { "name": "projects > {projectid}" }, { "name": "projects > {projectid} > campaigns" }, { "name": "campaigns" }, { "name": "campaigns > {campaignid}" }, { "name": "campaigns > {campaignid} > variants" }, { "name": "results" }, { "name": "results > campaigns" }, { "name": "results > campaigns > {campaign_id}" }, { "name": "variants" }, { "name": "variants > {variantid}" }, { "name": "Dynamic optimization" }, { "name": "Dynamic optimization > Dynamic optimization" }, { "name": "Dynamic optimization > Dynamic optimization > campaigns" }, { "name": "Dynamic optimization > Dynamic optimization > campaigns > {campaign_id}" }, { "name": "Dynamic optimization > Dynamic optimization > campaigns > {campaign_id} > batch-trigger" }, { "name": "live" }, { "name": "live > single_variant" } ], "paths": { "/v2/live/single_variant": { "get": { "tags": [ "live > single_variant" ], "summary": "Realtime language request", "description": "Request a language variant by subscriber. NOTE: this endpoint uses the Realtime API base URL (https://realtime.phrasee.co) rather than the standard base URL", "parameters": [ { "name": "Accept", "in": "header", "schema": { "type": "string" }, "example": "application/json" }, { "name": "campaign_id", "in": "query", "schema": { "type": "string" }, "description": "(Required) Campaign ID for the current send", "example": "ad Ut" } ], "responses": { "200": { "description": "OK", "headers": { "Content-Type": { "schema": { "type": "string", "example": "application/json" } } }, "content": { "application/json": { "schema": { "type": "object" }, "example": { "variant_text": "Don't let this one slip away", "variant_id": "5d6ede6a0ba62570afcedd3a", "campaign_id": "59807ed854b8891947e04303", "project_id": "86ffe42a3549080abc908249", "batch_id": 10, "send_id": "24c23c41-121c-413c-aa86-8ddaa254bb70", "statistics_url": "https://mail-tracking.phrasee.co/dev/open?variant_id=5d6ede6a0ba62570afcedd3a&campaign_id=59807ed854b8891947e04303&batch_id=10&project_id=86ffe42a3549080abc908249&send_id=24c23c41-121c-413c-aa86-8ddaa254bb70" } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "type": "string" }, "example": "" } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "type": "string" }, "example": "" } } }, "404": { "description": "Not Found", "content": { "text/plain": { "schema": { "type": "string" }, "example": "" } } }, "500": { "description": "Internal Server Error", "content": { "text/plain": { "schema": { "type": "string" }, "example": "" } } } } } } }, "components": { "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer" } } } } ````